SystemOrganization addCategory: #ConfigurationOfRefactoringBrowser!

Object subclass: #ConfigurationOfRefactoringBrowser
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfRefactoringBrowser'!

!ConfigurationOfRefactoringBrowser class methodsFor: 'private' stamp: 'MarianoMartinezPeck 12/18/2009 16:21'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfRefactoringBrowser class methodsFor: 'private' stamp: 'DaleHenrichs 12/29/2009 17:57'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load latest version of Metacello, load a specific version if desired"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #loadLatestVersion ]! !

!ConfigurationOfRefactoringBrowser class methodsFor: 'metacello tool support' stamp: 'MarianoMartinezPeck 12/18/2009 16:21'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfRefactoringBrowser class methodsFor: 'metacello tool support' stamp: 'MarianoMartinezPeck 12/18/2009 16:21'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfRefactoringBrowser class methodsFor: 'metacello tool support' stamp: 'MarianoMartinezPeck 12/18/2009 16:21'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfRefactoringBrowser class methodsFor: 'accessing' stamp: 'MarianoMartinezPeck 12/18/2009 16:21'!
project

	^self new project! !

!ConfigurationOfRefactoringBrowser methodsFor: 'baselines' stamp: 'dkh 1/12/2010 11:17'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/rb'.
		spec 
			package: 'AST-Core';
			package: 'AST-Tests' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Core' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Tests' with: [ spec requires: 'Refactoring-Core' ];
			package: 'Refactoring-Spelling' with: [ spec requires: 'Refactoring-Core' ].

		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' 'Refactoring-Core' 'Refactoring-Spelling' );
			group: 'Tests' with: #( 'AST-Tests' 'Refactoring-Tests' );
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob/'.
		spec 
			package: 'AST-Core';
			package: 'Refactoring-Core' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Spelling' with: [ spec requires: 'Refactoring-Core' ].

		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' 'Refactoring-Core' 'Refactoring-Spelling' );
			group: 'Tests' with: #('Core');
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].
! !

!ConfigurationOfRefactoringBrowser methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 1/20/2010 22:05'!
baseline11: spec 
	<version: '1.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/rb'.
		spec 
			package: 'AST-Core';
			package: 'AST-Tests' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Core' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Tests' with: [ spec requires: 'Refactoring-Core' ];
			package: 'Refactoring-Spelling' with: [ spec requires: 'Refactoring-Core' ].
			"package: 'Refactoring-Tests-Spelling' with: [ spec 
				requires: 'Refactoring-Spelling';
				repository: 'http://www.squeaksource.com/RBBugFixes'];
			package: 'Refactoring-Spelling-BugFixes' with: [ spec 
				requires: 'Refactoring-Spelling';
				repository: 'http://www.squeaksource.com/RBBugFixes']."

		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' 'Refactoring-Core' 'Refactoring-Spelling' "'Refactoring-Spelling-BugFixes'" );
			group: 'Tests' with: #( 'AST-Tests' 'Refactoring-Tests' "'Refactoring-Tests-Spelling'" );
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob/'.
		spec 
			package: 'AST-Core';
			package: 'Refactoring-Core' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Spelling' with: [ spec requires: 'Refactoring-Core' ].

		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' 'Refactoring-Core' 'Refactoring-Spelling' );
			group: 'Tests' with: #('Core');
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].
! !

!ConfigurationOfRefactoringBrowser methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 1/24/2010 15:58'!
baseline12: spec 
	<version: '1.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/rb'.
		spec 
			package: 'AST-Core';
			package: 'AST-Tests-Core' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Core' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Tests-Core' with: [ spec requires: 'Refactoring-Core' ];
			package: 'Refactoring-Spelling' with: [ spec requires: 'Refactoring-Core' ];
			package: 'Refactoring-Tests-Spelling' with: [ spec requires: 'Refactoring-Spelling' ].
	
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' 'Refactoring-Core' 'Refactoring-Spelling' );
			group: 'Tests' with: #( 'AST-Tests-Core' 'Refactoring-Tests-Core' 'Refactoring-Tests-Spelling' );
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob/'.
		spec 
			package: 'AST-Core';
			package: 'Refactoring-Core' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Spelling' with: [ spec requires: 'Refactoring-Core' ].

		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' 'Refactoring-Core' 'Refactoring-Spelling' );
			group: 'Tests' with: #('Core');
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].
! !

!ConfigurationOfRefactoringBrowser methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 5/13/2010 21:24'!
baseline13: spec 
	<version: '1.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/rb'.
		spec 
			package: 'AST-Core';
			package: 'AST-Tests-Core' with: [ spec requires: 'AST-Core' ];
			package: 'AST-Semantic' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Core' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Tests-Core' with: [ spec requires: 'Refactoring-Core' ];
			package: 'Refactoring-Spelling' with: [ 
				spec requires: 'Refactoring-Core'.
				spec postLoadDoIt: #postLoadRBSpelling ];
			package: 'Refactoring-Tests-Spelling' with: [ spec requires: 'Refactoring-Spelling'. ].
	
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' 'Refactoring-Core' 'Refactoring-Spelling' 'AST-Semantic');
			group: 'Tests' with: #( 'AST-Tests-Core' 'Refactoring-Tests-Core' 'Refactoring-Tests-Spelling' );
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob/'.
		spec 
			package: 'AST-Core';
			package: 'Refactoring-Core' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Spelling' with: [ spec requires: 'Refactoring-Core' ].

		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' 'Refactoring-Core' 'Refactoring-Spelling' );
			group: 'Tests' with: #('Core');
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].
! !

!ConfigurationOfRefactoringBrowser methodsFor: 'baselines' stamp: 'DaleHenrichs 08/12/2010 10:11'!
baseline15: spec 
	<version: '1.5-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/rb'.
		spec 
			package: 'AST-Core';
			package: 'AST-Tests-Core' with: [ spec requires: 'AST-Core' ];
			package: 'AST-Semantic' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Core' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Tests-Core' with: [ spec requires: 'Refactoring-Core' ];
			package: 'Refactoring-Spelling' with: [ 
				spec requires: 'Refactoring-Core'.
				spec postLoadDoIt: #postLoadRBSpelling ];
			package: 'Refactoring-Tests-Spelling' with: [ spec requires: 'Refactoring-Spelling'. ].
	
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' 'Refactoring-Core' 'Refactoring-Spelling' 'AST-Semantic');
			group: 'Tests' with: #( 'AST-Tests-Core' 'Refactoring-Tests-Core' 'Refactoring-Tests-Spelling' );
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob/'.
		spec 
			package: 'AST-Core';
			package: 'Refactoring-Core' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Spelling' with: [ spec requires: 'Refactoring-Core' ].

		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' 'Refactoring-Core' 'Refactoring-Spelling' );
			group: 'Tests' with: #('Core');
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].
	spec for: #gemstone do: [
		spec repository: 'http://seaside.gemstone.com/ss/rb'.

		spec 
			project: 'GsCore' with: [
				spec
					className: 'ConfigurationOfGsCore';
					versionString: '0.239-baseline';
					file: 'ConfigurationOfGsCore';
					repository: 'http://seaside.gemstone.com/ss/MetacelloRepository' ];
			yourself.

		spec
			package: 'AST-Core' with: [ spec requires: 'GsCore' ];
			package: 'AST-Tests-Core' with: [ spec requires: 'AST-Core' ];
			yourself.

		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' );
			group: 'Tests' with: #( 'AST-Tests-Core' );
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].! !

!ConfigurationOfRefactoringBrowser methodsFor: 'baselines' stamp: 'tfel 10/28/2010 17:58'!
baseline16: spec 
	<version: '1.6-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
	
	spec for: #squeakCommon do: [
		spec repository: 'http://www.squeaksource.com/rb'.
		spec 
			package: 'AST-Core';
			package: 'AST-Tests-Core' with: [ spec requires: 'AST-Core' ];
			
			package: 'AST-Semantic' with: [ spec requires: 'AST-Core' ];
			package: 'AST-Tests-Semantic' with: [ spec requires: 'AST-Semantic' ];
			
			package: 'Refactoring-Environment' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Tests-Environment' with: [ spec requires: 'Refactoring-Environment' ];
			
			package: 'Refactoring-Changes' with: [ spec requires: 'Refactoring-Environment' ];
			package: 'Refactoring-Tests-Changes' with: [ spec requires: 'Refactoring-Changes' ];
		
			package: 'Refactoring-Core' with: [ spec requires: 'Refactoring-Changes' ];
			package: 'Refactoring-Tests-Core' with: [ spec requires: 'Refactoring-Core' ];
			
			package: 'Refactoring-Critics' with: [ spec requires: 'Refactoring-Changes' ];
			package: 'Refactoring-Tests-Critics' with: [ spec requires: 'Refactoring-Critics' ];
		
			package: 'Refactoring-Spelling' with: [ 
				spec requires: 'Refactoring-Critics'.
				spec postLoadDoIt: #postLoadRBSpelling ];
			package: 'Refactoring-Tests-Spelling' with: [ spec requires: 'Refactoring-Tests-Critics'. ].
	
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' 'AST-Semantic' 'Refactoring-Environment'  'Refactoring-Changes' 'Refactoring-Core'  'Refactoring-Critics' 'Refactoring-Spelling'  );
			group: 'Tests' with: #( 'AST-Tests-Core'  'AST-Tests-Semantic' 'Refactoring-Tests-Environment'  'Refactoring-Tests-Changes'  'Refactoring-Tests-Core' 'Refactoring-Tests-Critics' 'Refactoring-Tests-Spelling' );
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].
	spec for: #gemstone do: [
		spec repository: 'http://seaside.gemstone.com/ss/rb'.

		spec 
			project: 'GsCore' with: [
				spec
					className: 'ConfigurationOfGsCore';
					versionString: '0.239-baseline';
					file: 'ConfigurationOfGsCore';
					repository: 'http://seaside.gemstone.com/ss/MetacelloRepository' ];
			yourself.

		spec
			package: 'AST-Core' with: [ spec requires: 'GsCore' ];
			package: 'AST-Tests-Core' with: [ spec requires: 'AST-Core' ];
			yourself.

		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' );
			group: 'Tests' with: #( 'AST-Tests-Core' );
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].! !

!ConfigurationOfRefactoringBrowser methodsFor: 'baselines' stamp: 'GuillermoPolito 12/15/2010 21:41'!
baseline17: spec 
	<version: '1.7-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
	
	spec for: #squeakCommon do: [
		spec repository: 'http://www.squeaksource.com/rb'.
		spec 
			package: 'AST-Core';
			package: 'AST-Tests-Core' with: [ spec requires: 'AST-Core' ];
			
			package: 'AST-Semantic' with: [ spec requires: 'AST-Core' ];
			package: 'AST-Tests-Semantic' with: [ spec requires: 'AST-Semantic' ];
			
			package: 'Refactoring-Environment' with: [ spec requires: 'AST-Core' ];
			package: 'Refactoring-Tests-Environment' with: [ spec requires: 'Refactoring-Environment' ];
			
			package: 'Refactoring-Changes' with: [ 
				spec 
					repository: 'http://www.squeaksource.com/PharoTaskForces';
					requires: 'Refactoring-Environment' ];
			package: 'Refactoring-Tests-Changes' with: [ spec requires: 'Refactoring-Changes' ];
		
			package: 'Refactoring-Core' with: [ spec requires: 'Refactoring-Changes' ];
			package: 'Refactoring-Tests-Core' with: [ spec requires: 'Refactoring-Core' ];
			
			package: 'Refactoring-Critics' with: [ spec requires: 'Refactoring-Changes' ];
			package: 'Refactoring-Tests-Critics' with: [ spec requires: 'Refactoring-Critics' ];
		
			package: 'Refactoring-Spelling' with: [ 
				spec requires: 'Refactoring-Critics'.
				spec postLoadDoIt: #postLoadRBSpelling ];
			package: 'Refactoring-Tests-Spelling' with: [ spec requires: 'Refactoring-Tests-Critics'. ].
	
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' 'AST-Semantic' 'Refactoring-Environment'  'Refactoring-Changes' 'Refactoring-Core'  'Refactoring-Critics' 'Refactoring-Spelling'  );
			group: 'Tests' with: #( 'AST-Tests-Core'  'AST-Tests-Semantic' 'Refactoring-Tests-Environment'  'Refactoring-Tests-Changes'  'Refactoring-Tests-Core' 'Refactoring-Tests-Critics' 'Refactoring-Tests-Spelling' );
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].
	spec for: #gemstone do: [
		spec repository: 'http://seaside.gemstone.com/ss/rb'.

		spec 
			project: 'GsCore' with: [
				spec
					className: 'ConfigurationOfGsCore';
					versionString: '0.239-baseline';
					file: 'ConfigurationOfGsCore';
					repository: 'http://seaside.gemstone.com/ss/MetacelloRepository' ];
			yourself.

		spec
			package: 'AST-Core' with: [ spec requires: 'GsCore' ];
			package: 'AST-Tests-Core' with: [ spec requires: 'AST-Core' ];
			yourself.

		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'AST-Core' );
			group: 'Tests' with: #( 'AST-Tests-Core' );
			group: 'Core Tests' with: #('Core' 'Tests' );
			
			yourself.
	].! !

!ConfigurationOfRefactoringBrowser methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 4/3/2010 18:23'!
postLoadRBSpelling
	"We want to initialize and download the dictionary file so that tests can be run without internet."
	RBInternalSpellChecker new.! !

!ConfigurationOfRefactoringBrowser methodsFor: 'accessing' stamp: 'MarianoMartinezPeck 12/18/2009 16:21'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear.
		project ]! !

!ConfigurationOfRefactoringBrowser methodsFor: 'symbolic versions' stamp: 'EstebanLorenzano 5/18/2011 10:24'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'pharo1.0.x' version: '1.2.1'. 
	spec for: #'pharo1.1.x' version: '1.5'. 
	spec for: #'pharo1.2.x' version: '1.7'.
	spec for: #'pharo1.3.x' version: '1.7'. 
	spec for: #'squeak4.x' version: '1.6'.! !

!ConfigurationOfRefactoringBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 1/14/2010 23:36'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'MarianoMartinezPeck'.
		spec description: 'First release 1.0 of this project '.
	].

	spec for: #pharo do: [	
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.49';
			package: 'AST-Tests' with: 'AST-Tests-lr.5';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.94';
			package: 'Refactoring-Tests' with: 'Refactoring-Tests-lr.30';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.13'.

	].
	spec for: #squeak do: [	
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'AST-Core' with: 'AST-Gwenael_Casaccio.215';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.57';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.6'.

	].
			! !

!ConfigurationOfRefactoringBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 1/22/2010 10:09'!
version11: spec
	<version: '1.1' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'MarianoMartinezPeck'.
		spec description: '- Added fixes and tests for Refactoring-Spelling
		- new versions '.
	].

	spec for: #pharo do: [	
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.49';
			package: 'AST-Tests' with: 'AST-Tests-lr.5';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.101';
			package: 'Refactoring-Tests' with: 'Refactoring-Tests-lr.31';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.18'.
			"package: 'Refactoring-Tests-Spelling' with: 'Refactoring-Tests-Spelling-StanShepherd.11';
			package: 'Refactoring-Spelling-BugFixes' with: 'Refactoring-Spelling-BugFixes-StanShepherd.11'"

	].
	spec for: #squeak do: [	
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'AST-Core' with: 'AST-Gwenael_Casaccio.215';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.57';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.6'.

	].
			! !

!ConfigurationOfRefactoringBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 4/2/2010 00:18'!
version121: spec
	<version: '1.2.1' imports: #('1.2-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'MarianoMartinezPeck'.
		spec description: ''.
	].

	spec for: #pharo do: [	
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.67';
			package: 'AST-Tests-Core' with: 'AST-Tests-Core-lr.9';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.115';
			package: 'Refactoring-Tests-Core' with: 'Refactoring-Tests-Core-lr.36';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.19';
			package: 'Refactoring-Tests-Spelling' with: 'Refactoring-Tests-Spelling-lr.4'.
			
	].
	spec for: #squeak do: [	
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'AST-Core' with: 'AST-Gwenael_Casaccio.215';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.66';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.6'.

	].
			! !

!ConfigurationOfRefactoringBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 3/20/2010 20:10'!
version12: spec
	<version: '1.2' imports: #('1.2-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'MarianoMartinezPeck'.
		spec description: '- Integrated the tests of Stan into the package:
Refactoring-Tests-Spelling.
-rename the tests packages of the rest of the refactoring browser to avoid conflicts. The packages are now called:
AST-Tests-Core and Refactoring-Tests-Core.
- Lots of bug fixes, included Pharo issues 2108.
 '.
	].

	spec for: #pharo do: [	
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.66';
			package: 'AST-Tests-Core' with: 'AST-Tests-Core-lr.8';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.115';
			package: 'Refactoring-Tests-Core' with: 'Refactoring-Tests-Core-lr.35';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.19';
			package: 'Refactoring-Tests-Spelling' with: 'Refactoring-Tests-Spelling-lr.3'.
			
	].
	spec for: #squeak do: [	
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'AST-Core' with: 'AST-Gwenael_Casaccio.215';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.66';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.6'.

	].
			! !

!ConfigurationOfRefactoringBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 5/27/2010 15:03'!
version13: spec
	<version: '1.3' imports: #('1.3-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec description: '- Updated to work with Pharo 1.1.
 '.
		spec author: 'DaleHenrichs'.
		spec timestamp: '5/14/2010 13:42'.
].
	spec for: #pharo do: [
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.73';
			package: 'AST-Tests-Core' with: 'AST-Tests-Core-lr.9';
			package: 'AST-Semantic' with: 'AST-Semantic-lr.4';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.136';
			package: 'Refactoring-Tests-Core' with: 'Refactoring-Tests-Core-lr.39';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.21';
			package: 'Refactoring-Tests-Spelling' with: 'Refactoring-Tests-Spelling-lr.4'.].
	spec for: #squeak do: [
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec author: 'DaleHenrichs'.
		spec 
			package: 'AST-Core' with: 'AST-Gwenael_Casaccio.215';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.66';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.6'.].! !

!ConfigurationOfRefactoringBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 7/1/2010 20:19'!
version14: spec
	<version: '1.4' imports: #('1.3-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec description: '- Updated to work with Pharo 1.1.
 '.
		spec author: 'VeronicaUquillas'.
		spec timestamp: '5/27/2010 14:06'.
].
	spec for: #pharo do: [
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.79';
			package: 'AST-Tests-Core' with: 'AST-Tests-Core-lr.10';
			package: 'AST-Semantic' with: 'AST-Semantic-lr.10';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.142';
			package: 'Refactoring-Tests-Core' with: 'Refactoring-Tests-Core-lr.43';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.22';
			package: 'Refactoring-Tests-Spelling' with: 'Refactoring-Tests-Spelling-lr.4'.].
	spec for: #squeak do: [
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec author: 'DaleHenrichs'.
		spec 
			package: 'AST-Core' with: 'AST-Gwenael_Casaccio.215';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.66';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.6'.].! !

!ConfigurationOfRefactoringBrowser methodsFor: 'versions' stamp: 'DaleHenrichs 08/12/2010 17:23'!
version15: spec
	<version: '1.5' imports: #('1.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '- AST-Core and AST-Tests-Core ported to GemStone
- '.
		spec author: 'DaleHenrichs'.
		spec timestamp: '08/12/2010 17:23:46'.
].
	spec for: #'pharo' do: [
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.79';
			package: 'AST-Tests-Core' with: 'AST-Tests-Core-lr.10';
			package: 'AST-Semantic' with: 'AST-Semantic-lr.11';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.144';
			package: 'Refactoring-Tests-Core' with: 'Refactoring-Tests-Core-lr.44';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.22';
			package: 'Refactoring-Tests-Spelling' with: 'Refactoring-Tests-Spelling-lr.4'.].
	spec for: #'squeak' do: [
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec author: 'DaleHenrichs'.
		spec 
			package: 'AST-Core' with: 'AST-Gwenael_Casaccio.215';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.66';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.6'.].
	spec for: #'gemstone' do: [
		spec author: 'DaleHenrichs'.
		spec project: 'GsCore' with: '0.241'.
		spec 
			package: 'AST-Core' with: 'AST-Core-DaleHenrichs.84';
			package: 'AST-Tests-Core' with: 'AST-Tests-Core-DaleHenrichs.11'.].! !

!ConfigurationOfRefactoringBrowser methodsFor: 'versions' stamp: 'tfel 10/28/2010 18:20'!
version16: spec
	<version: '1.6' imports: #('1.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '-  '.
		spec author: 'MarianoMartinezPeck'.
		spec timestamp: '09/26/2010 17:23:46'.
	].

	spec for: #'pharo' do: [
		spec 
			
			package: 'AST-Core' with: 'AST-Core-lr.84';
			package: 'AST-Tests-Core' with: 'AST-Tests-Core-lr.11';
			
			package: 'AST-Semantic' with: 'AST-Semantic-lr.15';
			package: 'AST-Tests-Semantic' with: 'AST-Tests-Semantic-lr.3';
			
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-lr.4';
			package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-lr.1';
			
			package: 'Refactoring-Changes' with: 'Refactoring-Changes-lr.8';
			package: 'Refactoring-Tests-Changes' with: 'Refactoring-Tests-Changes-lr.8';
		
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.151';
			package: 'Refactoring-Tests-Core' with: 'Refactoring-Tests-Core-lr.49';
			
			package: 'Refactoring-Critics' with: 'Refactoring-Critics-lr.4';
			package: 'Refactoring-Tests-Critics' with: 'Refactoring-Tests-Critics-lr.3';
		
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.23';
			package: 'Refactoring-Tests-Spelling' with: 'Refactoring-Tests-Spelling-lr.5'.
	
	].
	
	spec for: #'squeak' do: [
		spec description: 'Squeak support based on Squeak4.2-Trunk-10628'.
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.85';
			package: 'AST-Semantic' with: 'AST-Semantic-lr.15';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.153';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-lr.4';
			package: 'Refactoring-Critics' with: 'Refactoring-Critics-lr.4';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.23';
			package: 'Refactoring-Changes' with: 'Refactoring-Changes-lr.16'].
	spec for: #'gemstone' do: [
		spec author: 'DaleHenrichs'.
		spec project: 'GsCore' with: '0.241'.
		spec 
			package: 'AST-Core' with: 'AST-Core-DaleHenrichs.84';
			package: 'AST-Tests-Core' with: 'AST-Tests-Core-DaleHenrichs.11'.].! !

!ConfigurationOfRefactoringBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 4/15/2011 14:00'!
version17: spec
	<version: '1.7' imports: #('1.7-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'RefactoringBrowser for pharo 1.3 beta'.
		spec author: 'MarianoMartinezPeck'.
		spec timestamp: '09/26/2010 17:23:46'.
	].

	spec for: #'pharo' do: [
		spec 
			
			package: 'AST-Core' with: 'AST-Core-lr.87';
			package: 'AST-Tests-Core' with: 'AST-Tests-Core-lr.11';
			
			package: 'AST-Semantic' with: 'AST-Semantic-lr.15';
			package: 'AST-Tests-Semantic' with: 'AST-Tests-Semantic-lr.3';
			
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-lr.7';
			package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-lr.1';
			
			package: 'Refactoring-Changes' with: 'Refactoring-Changes-GuillermoPolito.17';
			package: 'Refactoring-Tests-Changes' with: 'Refactoring-Tests-Changes-lr.14';
		
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.153';
			package: 'Refactoring-Tests-Core' with: 'Refactoring-Tests-Core-lr.51';
			
			package: 'Refactoring-Critics' with: 'Refactoring-Critics-lr.9';
			package: 'Refactoring-Tests-Critics' with: 'Refactoring-Tests-Critics-lr.3';
		
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-pmm.25';
			package: 'Refactoring-Tests-Spelling' with: 'Refactoring-Tests-Spelling-lr.6'.
	
	].
	
	spec for: #'squeak' do: [
		spec description: 'Squeak support based on Squeak4.2-Trunk-10628'.
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.85';
			package: 'AST-Semantic' with: 'AST-Semantic-lr.15';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.153';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-lr.4';
			package: 'Refactoring-Critics' with: 'Refactoring-Critics-lr.4';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.23';
			package: 'Refactoring-Changes' with: 'Refactoring-Changes-lr.16'].
	spec for: #'gemstone' do: [
		spec author: 'DaleHenrichs'.
		spec project: 'GsCore' with: '0.241'.
		spec 
			package: 'AST-Core' with: 'AST-Core-DaleHenrichs.84';
			package: 'AST-Tests-Core' with: 'AST-Tests-Core-DaleHenrichs.11'.].! !
